pkgsrc-Changes archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: CVS commit: pkgsrc/devel/cmake [breaks polkit-qt, others?]

On 8/11/2012 11:57, John Marino wrote:
On 8/11/2012 10:54, John Marino wrote:
Module Name: pkgsrc
Committed By: adam
Date: Tue Aug 7 16:18:27 UTC 2012

Modified Files:
pkgsrc/devel/cmake: Makefile PLIST distinfo
pkgsrc/devel/cmake/patches: patch-Modules_FindX11.cmake patch-ab

A very recent change in pkgsrc causes security/polkit-qt and probably
graphics/darktable to break during the configure stage, specifically
while trying to locate glib2 include directory.

It's possible that this upgrade to cmake is the culprit. Nothing else
changed over the last week when polkit-qt last built.


I confirmed cmake-2.8.8 is the culprit. Reverting back to version 2.8.7
results in security/polkit-qt finding glib and dbus and completing the
configure stage.

I find pkg-config bug reports #13125, #13132 at cmake, but applying the
resulting patch to 2.8.8 didn't fix *this* problem. I'll look some more.

It looks like 2.8.9 branched (release) 3 days ago, so a new release may
be imminent.


Release 2.8.9 is actually available now:

I updated devel/cmake internally to build 2.8.9.
Result: glib and dbus are once again found, but polkit-qt fails later in the configure phase for unknown reasons. Last lines:

-- Found PolicyKit: /usr/pkg/lib/
-- Configuring incomplete, errors occurred!
*** Error code 1.

It seems cmake devs haven't gotten all the bugs out yet.

Home | Main Index | Thread Index | Old Index